export declare class AngularTreeGridService {
    private display_data_observable;
    display_data_observable$: import("rxjs/internal/Observable").Observable<any[]>;
    constructor();
    updateDisplayDataObservable(display_data: any[]): void;
    findRowIndex(display_data: any, configs: any, row_id: any): any;
    selectAll(display_data: any): void;
    deSelectAll(display_data: any): void;
    expandAll(expand_tracker: any): void;
    collapseAll(expand_tracker: any): void;
    expandRow(row_id: any, expand_tracker: any, expand_event: any, suppress_event: any, configs: any, display_data: any, store: any): void;
    collapseRow(row_id: any, expand_tracker: any, collapse_event: any, suppress_event: any, configs: any, display_data: any): void;
    emitExpandRowEvent(expand_tracker: any, expand: any, store: any, row_data: any, configs: any): void;
    disableRowSelection(display_data: any, configs: any, row_id: any): void;
    enableRowSelection(display_data: any, configs: any, row_id: any): void;
    disableRowExpand(display_data: any, configs: any, row_id: any): void;
    enableRowExpand(display_data: any, configs: any, row_id: any): void;
    expandSubgridRow(row_id: any, expand_tracker: any, expand_event: any, suppress_event: any, configs: any, display_data: any, store: any): void;
    emitSubgridExpandRowEvent(expand_tracker: any, expand: any, store: any, row_data: any): void;
}
