import { OnInit, EventEmitter } from '@angular/core';
import { Configs } from '../../models/Configs.model';
import { Column } from '../../models/Column.model';
import { Store } from '../../store/store';
import { AngularTreeGridService } from '../../angular-tree-grid.service';
export declare class TreeHeadComponent implements OnInit {
    private angularTreeGridService;
    store: Store;
    configs: Configs;
    expand_tracker: any;
    edit_tracker: any;
    internal_configs: any;
    columns: Column[];
    rowselectall: EventEmitter<any>;
    rowdeselectall: EventEmitter<any>;
    constructor(angularTreeGridService: AngularTreeGridService);
    ngOnInit(): void;
    addRow(): void;
    selectAll(e: any): void;
}
