import { OnInit, EventEmitter } from '@angular/core';
import { Store } from '../../store/store';
import { Configs } from '../../models/Configs.model';
export declare class SubgridComponent implements OnInit {
    store: Store;
    configs: Configs;
    expand_tracker: any;
    edit_tracker: any;
    internal_configs: any;
    row_data: any;
    cellclick: EventEmitter<any>;
    expand: EventEmitter<any>;
    rowselect: EventEmitter<any>;
    rowdeselect: EventEmitter<any>;
    rowsave: EventEmitter<any>;
    rowdelete: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    saveRecord($event: any): void;
    checkAndRefreshData(element: any): void;
    refreshData(element: any): void;
    cancelEdit(row_data: any): void;
    onRowExpand(event: any): void;
    onRowCollapse(event: any): void;
    selectRowOnCheck(row_data: any, event: any): void;
    /**
     * Set Select All config on Select change.
     *
     */
    setSelectAllConfig(): void;
}
